local maputils = {}

maputils.CONST = {}

maputils.CONST.STARTX = -8
maputils.CONST.STARTY = 90

function maputils.sortBattlers(a, b)
  local astats = a.fighter:getStats()
  local bstats = b.fighter:getStats()
  local aspeed = astats.speed / (3 ^ (a.number-1))
  local bspeed = bstats.speed / (3 ^ (b.number-1))

  print(a.fighter.name, a.number, aspeed, b.fighter.name, b.number, bspeed)


  if (aspeed == bspeed) then
    if (a.fighter.isHero == b.fighter.isHero) then
      return (a.fighter.id < b.fighter.id)
    else
      return a.fighter.isHero
    end
  else
    return (aspeed > bspeed)
  end
end

return maputils
